package com.ruoyi.zhushi.service;

import com.ruoyi.zhushi.entity.ProductRanking;

import java.util.List;

public interface ProductRankingService   {

    public void insertProductRankings(List<ProductRanking> productRankings) throws Exception;

    List<ProductRanking> getProductRankingList(String createDate,Integer website,String category,String keyword) throws Exception;

    List<ProductRanking> getProductRankingListCurrent(Integer website,String category) throws Exception;

    List<ProductRanking> getProductRankingByParam(String sn,String shop,Integer website,String category) throws Exception;

}
